* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  outline: none;
}

body {
  font-family: 'Open Sans', sans-serif;
  line-height: 1.6;
}

.header {
  width: 100%;
  height: 100vh;
  position: relative;
  color: #fff;
}

.back-box {
  position: absolute;
  inset: 0;
  z-index: -2;
  background: url("https://themewagon.github.io/feane/images/hero-bg.jpg") center/cover no-repeat;
}

.back-box::after {
  content: "";
  position: absolute;
  inset: 0;
  background-color: rgba(0, 0, 0, 0.5);
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 25px 60px;
  width: 100%;
  position: fixed;
  z-index: 10;
  background-color: rgba(0, 0, 0, 0.5);
}

.logo {
  font-size: 34px;
  font-family: 'Dancing Script', cursive;
  font-weight: 700;
  letter-spacing: 1px;
  color: #ffbe33;
  text-decoration: none;
}

.menu {
  display: flex;
  list-style: none;
  gap: 30px;
}

.menu a {
  text-decoration: none;
  color: #fff;
  font-weight: 500;
  transition: 0.3s;
}

.menu a:hover {
  color: #ffbe33;
}

.nav-item {
  text-transform: uppercase;
  font-size: 14px;
  letter-spacing: 2px;
  font-weight: 600;
}

.nav-item.active {
  color: #ffbe33;
}

.hamburger-menu::before,
.hamburger-menu::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 6px;
  border-radius: 12px;
  background: #fff;
}

.hamburger-menu::before {
  top: -10px;
}

.hamburger-menu {
  width: 60px;
  height: 6px;
  background: #fff;
  border-radius: 12px;
  position: relative;
  display: none;
}

.hamburger-menu:hover {
  cursor: pointer;
}

.hamburger-menu::after {
  bottom: -10px;
}

.hero-content {
  position: relative;
  height: calc(100% - 80px);
  display: flex;
  align-items: center;
  padding-left: 60px;
  max-width: 600px;
}

.slider {
  position: relative;
  width: 100%;
  min-height: 250px;
  overflow: hidden;
}

.slides {
  display: flex;
  width: 300%;
  transition: transform 0.5s ease;
}

.slide {
  width: 100%;
  flex-shrink: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.hero-content h1 {
  font-size: clamp(48px, 5vw, 56px);
  font-weight: 700;
  line-height: 1.2;
  margin-bottom: 20px;
  font-family: 'Dancing Script', cursive;
}

.hero-content h1 span {
  color: #ffbe33;
}

.hero-content p {
  max-width: 400px;
  text-align: justify;
  font-size: 14px;
  font-weight: 300;
  color: #ddd;
  margin-bottom: 25px;
  margin-right: 20px;
}

.btn {
  background: #ffbe33;
  color: #fff;
  padding: 10px 18px;
  text-decoration: none;
  border-radius: 18px;
  width: fit-content;
  transition: 0.3s;
}

.btn:hover {
  background: #e69c00;
}

@media (max-width: 768px) {
  .navbar {
    padding: 20px;
  }

  .menu {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 10;
    width: 100%;
    height: calc(100vh - 80px);

    background: rgba(0, 0, 0, 0.266);

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 25px;

    transform: translateY(-100%);
    opacity: 0;
    pointer-events: none;

    transition: transform 0.4s ease, opacity 0.3s ease;
  }

  .menu.active {
    transform: translateY(0);
    opacity: 1;
    pointer-events: all;
  }

  /* HAMBURGER */
  .hamburger-menu {
    display: block;
    width: 35px;
    height: 4px;
    position: relative;
  }

  .hamburger-menu::before,
  .hamburger-menu::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 4px;
    background: #fff;
    left: 0;
  }

  .hamburger-menu::before {
    top: -10px;
  }

  .hamburger-menu::after {
    bottom: -10px;
  }

  .hero-content {
    padding: 20px;
    max-width: 100%;
    text-align: center;
    align-items: center;
  }

  .hero-content h1 {
    font-size: 32px;
  }

  .hero-content p {
    font-size: 14px;
  }

  .slider {
    min-height: 300px;
    display: flex;
    justify-content: start;
  }

  .slide {
    align-items: center;
    padding: 10px;
    text-align: center;
  }

  .btn {
    margin: 0 auto;
  }
}

/* Main */
main {
  padding: 12px 60px;
}

.promotion-cards {
  display: flex;
  justify-content: space-between;
  gap: 20px;
  flex-wrap: wrap;
  margin: 60px 0
}

.promotion-cards .box {
  padding: 12px;
  display: flex;
  align-items: center;
  border-radius: 12px;
  background: #222831;
  color: #fff;

  flex: 1 1;
  transition: .3s;
}

.promotion-cards .box:hover {
  transform: translateY(-5px);
}

.promotion-cards .box .circle {
  border-radius: 50%;
  border: 2px solid #ffbe33;
  overflow: hidden;

  min-width: 120px;
  height: 120px;
  transition: transform 0.3s ease;
}

.promotion-cards .box .circle:hover {
  transform: scale(1.15);
}

.promotion-cards .box .content {
  padding: 16px;
}

.promotion-cards .box .content h5 {
  font-family: 'Dancing Script', cursive;
  font-size: 24px;
}

.promotion-cards .box .content h6 {
  font-family: 'Dancing Script', cursive;
  font-size: 40px;
  margin: 10px 0;
}

.promotion-cards .box .content h6 span {
  font-size: 16px;
  color: #ffbe33;
}

@media (max-width: 1140px) {
  main {
    padding: 25px 60px;
  }

  .promotion-cards .box {
    flex-direction: column;
    text-align: center;
    width: 350px;
  }

  .promotion-cards .box .circle {
    margin-bottom: 15px;
  }

  .promotion-cards .box .content h5 {
    font-size: 20px;
  }

  .promotion-cards .box .content h6 {
    font-size: 32px;
  }
}

@media (max-width: 850px) {
  .promotion-cards .box {
    flex-direction: row;
    width: 100%;
    justify-content: center;
  }
}

@media (max-width: 768px) {
  main {
    padding: 20px;
  }
}

/* Our Menu */
.our-menu {
  margin: 20px 0;
  width: 100%;
}

.our-menu h2 {
  text-align: center;
  font-size: 36px;
  font-family: 'Dancing Script', sans-serif;
}

.our-menu-selectors {
  display: flex;
  justify-content: center;
  gap: 16px;
  margin: 28px 0;
}

.our-menu-selectors .item-list {
  padding: 8px 20px;
  border-radius: 20px;
}

.our-menu-selectors .item-list:hover {
  cursor: pointer;
}

.our-menu-selectors .item-list.active {
  background: #222831;
  color: #fff;
}

.our-menu .items {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(320px, 1fr));
  gap: 20px;
}

.our-menu .items .item {
  border-radius: 20px;
  overflow: hidden;
  background: #222831;
  color: #fff;

  display: flex;
  flex-direction: column;
  justify-content: space-between;
  transition: .3s;
}

.our-menu .items .item:hover {
  transform: translateY(-8px);
}

.our-menu .items .item .image {
  width: 100%;
  height: 180px;
  overflow: hidden;

  background: #f1f2f3;
  border-bottom-left-radius: 20px;

  display: flex;
  justify-content: center;
  align-items: center;
}

.our-menu .items .item .image img {
  width: 140px;
  transition: transform 0.4s ease;
}

.our-menu .items .item .image img:hover {
  transform: scale(1.15);
}

.our-menu .items .item .item-content {
  padding: 16px;
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.our-menu .items .item .item-content .title {
  font-size: 20px;
  font-weight: 600;
}

.our-menu .items .item .item-content .title span {
  color: #ffbe33;
}

.our-menu .items .item .item-content .description {
  font-size: 14px;
  color: #ccc;
}

.our-menu .items .item .item-content .shop {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 10px;
}

.our-menu .items .item .item-content .shop .price {
  font-weight: bold;
  font-size: 18px;
}

.our-menu .items .item .item-content .shop .icon-shop {
  width: 35px;
  height: 35px;
  background: #ffbe33;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}

@media (max-width: 1024px) {
  .our-menu h2 {
    font-size: 28px;
  }

  .title {
    font-size: 18px;
  }

  .description {
    font-size: 13px;
  }
}

/* Read More */
.read-more {
  width: calc(100% + 120px);
  margin-left: -60px;
  background: #222831;

  display: flex;
  justify-content: space-between;
  align-items: center;

  gap: 40px;
  padding: 60px;
  margin-top: 60px;
}

.read-more .left,
.read-more .right {
  width: 50%;
}

.read-more .left {
  display: flex;
  justify-content: center;
}

.read-more .left img {
  width: 80%;
  max-width: 400px;
}

.read-more .right {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.read-more .right-title h2 {
  font-family: 'Dancing Script', cursive;
  font-size: 36px;
  color: #fff;
}

.read-more .right .right-description {
  color: #ccc;
  line-height: 1.6;
}

@media (max-width: 768px) {
  .read-more {
    flex-direction: column-reverse;
    width: calc(100% + 80px);
  }

  .read-more .right {
    width: 100%;
  }

  .read-more .left {
    width: 100%;
  }

  .read-more .btn {
    margin: 0;
  }
}

/* Where We Are */
.where-we-are {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 100%;
  gap: 16px;
  margin: 60px 0;
}

.where-we-are h2 {
  font-family: 'Dancing Script', cursive;
  font-size: 36px;
  color: #000;
}

.form {
  display: flex;
  flex-direction: column;
  gap: 15px;
  width: 50%;
}

.form-group {
  display: flex;
  flex-direction: column;
}

/* .form label {
  font-size: 14px;
  margin-bottom: 5px;
  color: #222831;
} */

.form input,
.form select {
  padding: 16px;
  border-radius: 8px;
  border: 1px solid #222831;
}

.form input:focus,
.form select:focus {
  border: 2px solid #ffbe33;
}

.form input[type="date"]:invalid {
  color: #999;
}

.form input[type="date"]:valid {
  color: #000;
}

.form select {
  color: #999;
}

.form select:valid {
  color: #000;
}

.form .btn {
  border: none;
}

.form .btn:hover {
  cursor: pointer;
}

.where-we-are .map {
  width: 50%;
}

.where-we-are .map iframe {
  border-radius: 12px;
  width: 100%;
  height: 100%;
}

@media (max-width: 768px) {
  .where-we-are {
    flex-direction: column;
  }

  .where-we-are .form {
    display: flex;
    justify-content: start;
    width: 100%;
  }

  .form .btn {
    margin: 0 0 20px 0;
  }

  .where-we-are .map {
    width: 100%;
    height: 400px;
  }
}

/* What Says The Customers */
.what-says-the-customers h2 {
  text-align: center;
  font-family: 'Dancing Script', cursive;
  font-size: 36px;
  color: #000;
}

.what-says-the-customers .customer-cards {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
  gap: 20px;
}

.what-says-the-customers .customer-cards .customer-card {
  background: #fff;
  border-radius: 16px;
  overflow: visible;
  transition: 0.3s;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08);
}

.what-says-the-customers .customer-cards .customer-card:hover {
  transform: translate(-8px);
}

.what-says-the-customers .customer-cards .customer-card .head {
  background: #222831;
  color: #fff;
  padding: 25px;
  border-top-left-radius: 12px;
  border-top-right-radius: 12px;
  text-align: justify;
  position: relative;
}

.what-says-the-customers .customer-cards .customer-card .head::after {
  content: "";
  position: absolute;
  bottom: 25px;
  left: 50%;
  transform: translate(-50%);

  width: 0;
  height: 0;

  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  border-bottom: 10px solid #ffbe33;
}

.what-says-the-customers .customer-cards .customer-card .description {
  font-size: 14px;
  line-height: 1.6;
  margin-bottom: 15px;
  color: #ddd;
}

.what-says-the-customers .customer-cards .customer-card .customer-name {
  font-weight: 600;
  margin-bottom: 10px;
}

.stars {
  display: flex;
  justify-content: start;
  gap: 5px;
}

.star {
  width: 14px;
  height: 14px;
  background: #ffbe33;
  clip-path: polygon(50% 0%,
      61% 35%,
      98% 35%,
      68% 57%,
      79% 91%,
      50% 70%,
      21% 91%,
      32% 57%,
      2% 35%,
      39% 35%);
}

.what-says-the-customers .customer-cards .customer-card .body {
  display: flex;
  justify-content: center;
  padding: 20px;
}

.what-says-the-customers .customer-cards .customer-card .body .box-image {
  width: 90px;
  height: 90px;
  border-radius: 50%;
  border: 4px solid #ffbe33;
  overflow: hidden;
  margin-top: -50px;
  background: #fff;
  position: relative;
  z-index: 1;
}

.what-says-the-customers .customer-cards .customer-card .body .box-image::before {
  content: "";
  position: absolute;
  top: -12px;
  left: 50%;
  transform: translateX(-50%);

  width: 0;
  height: 0;

  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  border-bottom: 12px solid #ffbe33;

  z-index: 2;
}

.what-says-the-customers .customer-cards .customer-card .body .box-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* Footer */
.footer {
  background-color: #2c313a;
  color: #ffffff;
  padding: 60px 0 30px;
  font-size: 14px;
  margin-top: 60px;
}

.footer-container {
  max-width: 1200px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  padding: 0 20px;
}

.footer-column {
  flex: 1;
  margin-bottom: 30px;
  min-width: 250px;
}

.footer-column h3 {
  font-family: 'Dancing Script', cursive;
  font-size: 28px;
  font-weight: normal;
  margin-top: 0;
  margin-bottom: 20px;
  color: #ffffff;
}

.footer-column h1 {
  font-family: 'Dancing Script', cursive;
  font-size: 48px;
  font-weight: normal;
  margin-top: 0;
  margin-bottom: 15px;
  color: #ffffff;
  text-align: center;
}

.footer-column p {
  line-height: 1.6;
  margin: 0 0 10px;
}

.contact-us ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.contact-us li {
  margin-bottom: 12px;
  display: flex;
  align-items: center;
}

.contact-us i {
  margin-right: 10px;
  width: 20px;
  text-align: center;
}

.logo-desc {
  text-align: center;
}

.logo-desc p {
  margin-bottom: 25px;
  max-width: 400px;
  margin-left: auto;
  margin-right: auto;
}

.social-icons {
  display: flex;
  justify-content: center;
  gap: 15px;
}

.social-icons a {
  color: #333;
  background-color: #ffffff;
  width: 35px;
  height: 35px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  font-size: 16px;
  transition: background-color 0.3s, color 0.3s;
}

.social-icons a:hover {
  background-color: #333;
  color: #ffffff;
}

.opening-hours {
  text-align: right;
}

.opening-hours h3 {
  text-align: right;
}

@media (max-width: 768px) {
  .footer-container {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .footer-column {
    min-width: 100%;
    margin-bottom: 40px;
  }

  .footer-column h3,
  .opening-hours h3 {
    text-align: center;
  }

  .opening-hours {
    text-align: center;
  }
}